1. Summary
  2. Files
  3. Support
  4. Report Spam
  5. Create account
  6. Log in
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002085 [Bugs] The program itself major always 2014-01-08 19:08 2014-02-04 10:14
Reporter andressf View Status public  
Assigned To Dpolivaev
Priority normal Resolution fixed  
Status resolved  
Summary 0002085: URl of a node does not reach the node when used as link in external programs
Description I copy the URl of a non-root node and then paste it in LibreOffice, Word, WordPad and Scrivener. When I then click (CTRL+click, double click, and so on) on the link so created, the respective map is open but Freeplane navigates to the root and the desired node (given by #ID_xxxxxxx) is not selected. The operation must thus be completed manually through a search in the map.
The manual procedure is very time-robbing, especially when the user must repeatedly access the information in the map.

This happens in Windows 7 and 8.
Additional Information This bug report follows a thread in the Discussion forum, where the details of the problem are given:
http://sourceforge.net/apps/phpbb/freeplane/viewtopic.php?f=1&t=854#p4133 [^]
Tags No tags attached.
Freeplane version 1.3.6 beta_pre05
Java Version 1.7.0_45
Operating system Windows 8
Attached Files ? file icon log.0 [^] (6,177 bytes) 2014-01-13 18:00
7z file icon aaa.7z [^] (49,635 bytes) 2014-01-13 20:15

- Relationships

-  Notes
(0004184)
andressf (reporter)
2014-01-13 18:02

I attach the file log.0 as asked by Dimitry in th Discussion Forum
https://sourceforge.net/apps/phpbb/freeplane/viewtopic.php?f=1&t=854&start=10#p4178 [^]

It will follow in that forum the answer to his question in item 2.
(0004185)
andressf (reporter)
2014-01-13 20:20

I uploaded aaa.7z, containing the files that I used to test the new URL handler. All are in the directory C:\aaa
(0004186)
Dpolivaev (administrator)
2014-01-13 21:59

1.3.6 beta pre 07
(0004187)
andressf (reporter)
2014-01-13 23:26
edited on: 2014-01-13 23:32

Dimitry,
I cannot test the hyperlinks to the new FP 1.3.6 beta_pre07 version. When I try with any of the programs included in the test, Windows 8 answer
"No applications are installed to open this kind of link (freeplane)".This in spite of having installed freeplane.exe as default application for .mm files (so much so that if I click on an individual mm file, freepane opens it immediately). I think that the problem may be that Windows 8 wants that freeplane gets installed via the setup installer (the 07 preview does not include the installer).

Edit 1.- installing freeplane in the directory c:\Program Files or c:\Program Files (x86) or wherever, makes no difference.

(0004188)
Dpolivaev (administrator)
2014-01-13 23:42

Yes, you should use the installer and I think it is there

http://sourceforge.net/projects/freeplane/files/freeplane%20preview/Freeplane-Setup-1.3.6_pre07%20beta.exe/download [^]
(0004189)
andressf (reporter)
2014-01-14 00:52

Now, 1.3.6_beta pre07 is working and all hyperlinks reach the aimed node correctly. However, as mentioned in the Open Discussion forum, it still needs a bit of polishing: that the map coming to the front (when Freeplane gets open by the launching of a hyperlink) is the map containing the aimed node and not the last map in the front when Freeplane was closed in the previous session.
https://sourceforge.net/apps/phpbb/freeplane/viewtopic.php?f=1&t=854&p=4185#p4185 [^]
(0004223)
andressf (reporter)
2014-02-04 10:14

1.3.6 beta_pre08 works OK. This thread can be closed.

- Issue History
Date Modified Username Field Change
2014-01-08 19:08 andressf New Issue
2014-01-08 19:08 andressf Status new => assigned
2014-01-08 19:08 andressf Assigned To => Dpolivaev
2014-01-08 19:08 andressf Freeplane version => 1.3.6 beta_pre05
2014-01-08 19:08 andressf Java Version => 1.7.0_45
2014-01-08 19:08 andressf Operating system => Windows 8
2014-01-13 18:00 andressf File Added: log.0
2014-01-13 18:02 andressf Note Added: 0004184
2014-01-13 20:15 andressf File Added: aaa.7z
2014-01-13 20:20 andressf Note Added: 0004185
2014-01-13 21:59 Dpolivaev Note Added: 0004186
2014-01-13 21:59 Dpolivaev Status assigned => resolved
2014-01-13 21:59 Dpolivaev Resolution open => fixed
2014-01-13 23:26 andressf Note Added: 0004187
2014-01-13 23:32 andressf Note Edited: 0004187
2014-01-13 23:42 Dpolivaev Note Added: 0004188
2014-01-14 00:52 andressf Note Added: 0004189
2014-02-04 10:14 andressf Note Added: 0004223


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker